<h1 mat-dialog-title>Edit Team</h1>
<mat-dialog-content>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Full Name</mat-label>
    <input matInput [formControl]="nameControl">
    <mat-hint>Enter full name</mat-hint>
    <mat-error *ngIf="nameControl.invalid">You must enter a full team name.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Short Name</mat-label>
    <input matInput [formControl]="shortNameControl">
    <mat-hint>Enter short name</mat-hint>
    <mat-error *ngIf="shortNameControl.invalid">You must enter a short team name.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>City</mat-label>
    <input matInput [formControl]="cityControl">
    <mat-hint>Enter city name</mat-hint>
    <mat-error *ngIf="cityControl.invalid">You must enter a city name.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Description</mat-label>
    <textarea [(ngModel)]="description" matInput></textarea>
  </mat-form-field>
  <section class="input-section">
    <mat-checkbox [(ngModel)]="enabled">Enabled</mat-checkbox>
  </section>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="onCancelClick()">CANCEL</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">EDIT</button>
</mat-dialog-actions>
